Index: /XIOS/trunk/src/io/netCdfInterface.hpp
===================================================================
--- /XIOS/trunk/src/io/netCdfInterface.hpp	(revision 1638)
+++ /XIOS/trunk/src/io/netCdfInterface.hpp	(revision 1639)
@@ -32,5 +32,5 @@
 
     //! Create a netcdf file on a parallel file system
-    static int createPar(const StdString& path, int cmode, ep_lib::MPI_Comm comm, ep_lib::MPI_Info info, int& ncId);
+    static int createPar(const StdString& path, int cmode, MPI_Comm comm, MPI_Info info, int& ncId);
 
     //! Open a netcdf file
@@ -38,5 +38,5 @@
 
     //! Open a netcdf file
-    static int openPar(const StdString& path, int cmode, ep_lib::MPI_Comm comm, ep_lib::MPI_Info info, int& ncId);
+    static int openPar(const StdString& path, int cmode, MPI_Comm comm, MPI_Info info, int& ncId);
 
     //! Close a netcdf file
Index: /XIOS/trunk/src/io/onetcdf4.cpp
===================================================================
--- /XIOS/trunk/src/io/onetcdf4.cpp	(revision 1638)
+++ /XIOS/trunk/src/io/onetcdf4.cpp	(revision 1639)
@@ -15,5 +15,5 @@
       CONetCDF4::CONetCDF4(const StdString& filename, bool append, bool useClassicFormat,
 							bool useCFConvention,
-                           const ep_lib::MPI_Comm* comm, bool multifile, const StdString& timeCounterName)
+                           const MPI_Comm* comm, bool multifile, const StdString& timeCounterName)
         : path()
         , wmpi(false)
@@ -33,5 +33,5 @@
 
       void CONetCDF4::initialize(const StdString& filename, bool append, bool useClassicFormat, bool useCFConvention, 
-                                 const ep_lib::MPI_Comm* comm, bool multifile, const StdString& timeCounterName)
+                                 const MPI_Comm* comm, bool multifile, const StdString& timeCounterName)
       {
          this->useClassicFormat = useClassicFormat;
@@ -44,5 +44,5 @@
          {
             int commSize = 0;
-            ep_lib::MPI_Comm_size(*comm, &commSize);
+            MPI_Comm_size(*comm, &commSize);
             if (commSize <= 1)
                comm = NULL;
@@ -58,5 +58,5 @@
             CTimer::get("Files : create").resume();
             if (wmpi)
-               CNetCdfInterface::createPar(filename, mode, *comm, EP_INFO_NULL, this->ncidp);
+               CNetCdfInterface::createPar(filename, mode, *comm, MPI_INFO_NULL, this->ncidp);
             else
                CNetCdfInterface::create(filename, mode, this->ncidp);
@@ -70,5 +70,5 @@
             CTimer::get("Files : open").resume();
             if (wmpi)
-               CNetCdfInterface::openPar(filename, mode, *comm, EP_INFO_NULL, this->ncidp);
+               CNetCdfInterface::openPar(filename, mode, *comm, MPI_INFO_NULL, this->ncidp);
             else
                CNetCdfInterface::open(filename, mode, this->ncidp);
Index: /XIOS/trunk/src/io/onetcdf4.hpp
===================================================================
--- /XIOS/trunk/src/io/onetcdf4.hpp	(revision 1638)
+++ /XIOS/trunk/src/io/onetcdf4.hpp	(revision 1639)
@@ -28,5 +28,5 @@
             CONetCDF4(const StdString& filename, bool append, bool useClassicFormat = false,
             		  bool useCFConvention = true,
-                      const ep_lib::MPI_Comm* comm = NULL, bool multifile = true,
+                      const MPI_Comm* comm = NULL, bool multifile = true,
                       const StdString& timeCounterName = "time_counter");
 
@@ -37,5 +37,5 @@
             /// Initialisation ///
             void initialize(const StdString& filename, bool append, bool useClassicFormat, bool useCFConvention,
-                            const ep_lib::MPI_Comm* comm, bool multifile, const StdString& timeCounterName);
+                            const MPI_Comm* comm, bool multifile, const StdString& timeCounterName);
             void close(void);
             void sync(void);
Index: /XIOS/trunk/src/mpi.hpp
===================================================================
--- /XIOS/trunk/src/mpi.hpp	(revision 1638)
+++ /XIOS/trunk/src/mpi.hpp	(revision 1639)
@@ -11,35 +11,5 @@
 #define OMPI_SKIP_MPICXX
 
-#ifdef _usingEP
-#include "ep_lib.hpp"
-#include "ep_declaration.hpp"
-#endif
-
 #include <mpi.h>
 
-#ifdef _usingMPI
-
-#define ep_lib  
-
-#define EP_INT MPI_INT
-#define EP_FLOAT MPI_FLOAT
-#define EP_DOUBLE MPI_DOUBLE
-#define EP_CHAR MPI_CHAR
-#define EP_LONG MPI_LONG
-#define EP_LONG_LONG_INT MPI_LONG_LONG_INT
-#define EP_UNSIGNED_LONG  MPI_UNSIGNED_LONG
-#define EP_UNSIGNED_CHAR  MPI_UNSIGNED_CHAR
-
-
-#define EP_COMM_WORLD MPI_COMM_WORLD
-#define EP_COMM_NULL MPI_COMM_NULL
-#define EP_INFO_NULL MPI_INFO_NULL
-
-#define EP_MAX MPI_MAX
-#define EP_MIN MPI_MIN
-#define EP_SUM MPI_SUM
-#define EP_LOR MPI_LOR
-
 #endif
-
-#endif
Index: /XIOS/trunk/src/node/axis.cpp
===================================================================
--- /XIOS/trunk/src/node/axis.cpp	(revision 1638)
+++ /XIOS/trunk/src/node/axis.cpp	(revision 1639)
@@ -130,9 +130,9 @@
      \return the number of indexes written by each server
    */
-   int CAxis::getNumberWrittenIndexes(ep_lib::MPI_Comm writtenCom)
+   int CAxis::getNumberWrittenIndexes(MPI_Comm writtenCom)
    TRY
    {
      int writtenSize;
-     ep_lib::MPI_Comm_size(writtenCom, &writtenSize);
+     MPI_Comm_size(writtenCom, &writtenSize);
      return numberWrittenIndexes_[writtenSize];
    }
@@ -143,9 +143,9 @@
      \return the total number of indexes written by the servers
    */
-   int CAxis::getTotalNumberWrittenIndexes(ep_lib::MPI_Comm writtenCom)
+   int CAxis::getTotalNumberWrittenIndexes(MPI_Comm writtenCom)
    TRY
    {
      int writtenSize;
-     ep_lib::MPI_Comm_size(writtenCom, &writtenSize);
+     MPI_Comm_size(writtenCom, &writtenSize);
      return totalNumberWrittenIndexes_[writtenSize];
    }
@@ -156,18 +156,18 @@
      \return the offset of indexes written by each server
    */
-   int CAxis::getOffsetWrittenIndexes(ep_lib::MPI_Comm writtenCom)
+   int CAxis::getOffsetWrittenIndexes(MPI_Comm writtenCom)
    TRY
    {
      int writtenSize;
-     ep_lib::MPI_Comm_size(writtenCom, &writtenSize);
+     MPI_Comm_size(writtenCom, &writtenSize);
      return offsetWrittenIndexes_[writtenSize];
    }
    CATCH_DUMP_ATTR
 
-   CArray<int, 1>& CAxis::getCompressedIndexToWriteOnServer(ep_lib::MPI_Comm writtenCom)
+   CArray<int, 1>& CAxis::getCompressedIndexToWriteOnServer(MPI_Comm writtenCom)
    TRY
    {
      int writtenSize;
-     ep_lib::MPI_Comm_size(writtenCom, &writtenSize);
+     MPI_Comm_size(writtenCom, &writtenSize);
      return compressedIndexToWriteOnServer[writtenSize];
    }
@@ -768,9 +768,9 @@
   CATCH_DUMP_ATTR
 
-  void CAxis::computeWrittenCompressedIndex(ep_lib::MPI_Comm writtenComm)
+  void CAxis::computeWrittenCompressedIndex(MPI_Comm writtenComm)
   TRY
   {
     int writtenCommSize;
-    ep_lib::MPI_Comm_size(writtenComm, &writtenCommSize);
+    MPI_Comm_size(writtenComm, &writtenCommSize);
     if (compressedIndexToWriteOnServer.find(writtenCommSize) != compressedIndexToWriteOnServer.end())
       return;
@@ -850,6 +850,6 @@
       {
              
-        ep_lib::MPI_Allreduce(&numberWrittenIndexes_[writtenCommSize], &totalNumberWrittenIndexes_[writtenCommSize], 1, EP_INT, EP_SUM, writtenComm);
-        ep_lib::MPI_Scan(&numberWrittenIndexes_[writtenCommSize], &offsetWrittenIndexes_[writtenCommSize], 1, EP_INT, EP_SUM, writtenComm);
+        MPI_Allreduce(&numberWrittenIndexes_[writtenCommSize], &totalNumberWrittenIndexes_[writtenCommSize], 1, MPI_INT, MPI_SUM, writtenComm);
+        MPI_Scan(&numberWrittenIndexes_[writtenCommSize], &offsetWrittenIndexes_[writtenCommSize], 1, MPI_INT, MPI_SUM, writtenComm);
         offsetWrittenIndexes_[writtenCommSize] -= numberWrittenIndexes_[writtenCommSize];
       }
Index: /XIOS/trunk/src/node/axis.hpp
===================================================================
--- /XIOS/trunk/src/node/axis.hpp	(revision 1638)
+++ /XIOS/trunk/src/node/axis.hpp	(revision 1639)
@@ -68,8 +68,8 @@
          const std::set<StdString> & getRelFiles(void) const;
 
-         int getNumberWrittenIndexes(ep_lib::MPI_Comm writtenCom);
-         int getTotalNumberWrittenIndexes(ep_lib::MPI_Comm writtenCom);
-         int getOffsetWrittenIndexes(ep_lib::MPI_Comm writtenCom);
-         CArray<int, 1>& getCompressedIndexToWriteOnServer(ep_lib::MPI_Comm writtenCom);
+         int getNumberWrittenIndexes(MPI_Comm writtenCom);
+         int getTotalNumberWrittenIndexes(MPI_Comm writtenCom);
+         int getOffsetWrittenIndexes(MPI_Comm writtenCom);
+         CArray<int, 1>& getCompressedIndexToWriteOnServer(MPI_Comm writtenCom);
 
          std::map<int, StdSize> getAttributesBufferSize(CContextClient* client, const std::vector<int>& globalDim, int orderPositionInGrid,
@@ -113,5 +113,5 @@
 
          void computeWrittenIndex();
-         void computeWrittenCompressedIndex(ep_lib::MPI_Comm);
+         void computeWrittenCompressedIndex(MPI_Comm);
          bool hasTransformation();
          void solveInheritanceTransformation();
Index: /XIOS/trunk/src/node/context.cpp
===================================================================
--- /XIOS/trunk/src/node/context.cpp	(revision 1638)
+++ /XIOS/trunk/src/node/context.cpp	(revision 1639)
@@ -265,10 +265,10 @@
 
    //! Initialize client side
-   void CContext::initClient(ep_lib::MPI_Comm intraComm, ep_lib::MPI_Comm interComm, CContext* cxtServer /*= 0*/)
+   void CContext::initClient(MPI_Comm intraComm, MPI_Comm interComm, CContext* cxtServer /*= 0*/)
    TRY
    {
 
      hasClient = true;
-     ep_lib::MPI_Comm intraCommServer, interCommServer;
+     MPI_Comm intraCommServer, interCommServer;
      
 
@@ -284,7 +284,7 @@
        else
        {
-         ep_lib::MPI_Comm_dup(intraComm, &intraCommServer);
+         MPI_Comm_dup(intraComm, &intraCommServer);
          comms.push_back(intraCommServer);
-         ep_lib::MPI_Comm_dup(interComm, &interCommServer);
+         MPI_Comm_dup(interComm, &interCommServer);
          comms.push_back(interCommServer);
        }
@@ -309,7 +309,7 @@
      {
        clientPrimServer.push_back(new CContextClient(this, intraComm, interComm));
-       ep_lib::MPI_Comm_dup(intraComm, &intraCommServer);
+       MPI_Comm_dup(intraComm, &intraCommServer);
        comms.push_back(intraCommServer);
-       ep_lib::MPI_Comm_dup(interComm, &interCommServer);
+       MPI_Comm_dup(interComm, &interCommServer);
        comms.push_back(interCommServer);
        serverPrimServer.push_back(new CContextServer(this, intraCommServer, interCommServer));
@@ -383,5 +383,5 @@
    CATCH_DUMP_ATTR
 
-   void CContext::initServer(ep_lib::MPI_Comm intraComm, ep_lib::MPI_Comm interComm, CContext* cxtClient /*= 0*/)
+   void CContext::initServer(MPI_Comm intraComm, MPI_Comm interComm, CContext* cxtClient /*= 0*/)
    TRY
    {
@@ -402,5 +402,5 @@
      registryOut->setPath(contextRegistryId) ;
 
-     ep_lib::MPI_Comm intraCommClient, interCommClient;
+     MPI_Comm intraCommClient, interCommClient;
      if (cxtClient) // Attached mode
      {
@@ -410,7 +410,7 @@
      else
      {
-       ep_lib::MPI_Comm_dup(intraComm, &intraCommClient);
+       MPI_Comm_dup(intraComm, &intraCommClient);
        comms.push_back(intraCommClient);
-       ep_lib::MPI_Comm_dup(interComm, &interCommClient);
+       MPI_Comm_dup(interComm, &interCommClient);
        comms.push_back(interCommClient);
      }
@@ -502,6 +502,6 @@
 
          //! Free internally allocated communicators
-         for (std::list<ep_lib::MPI_Comm>::iterator it = comms.begin(); it != comms.end(); ++it)
-           ep_lib::MPI_Comm_free(&(*it));
+         for (std::list<MPI_Comm>::iterator it = comms.begin(); it != comms.end(); ++it)
+           MPI_Comm_free(&(*it));
          comms.clear();
 
@@ -544,6 +544,6 @@
 
          //! Free internally allocated communicators
-         for (std::list<ep_lib::MPI_Comm>::iterator it = comms.begin(); it != comms.end(); ++it)
-           ep_lib::MPI_Comm_free(&(*it));
+         for (std::list<MPI_Comm>::iterator it = comms.begin(); it != comms.end(); ++it)
+           MPI_Comm_free(&(*it));
          comms.clear();
 
@@ -560,6 +560,6 @@
    TRY
    {
-     for (std::list<ep_lib::MPI_Comm>::iterator it = comms.begin(); it != comms.end(); ++it)
-       ep_lib::MPI_Comm_free(&(*it));
+     for (std::list<MPI_Comm>::iterator it = comms.begin(); it != comms.end(); ++it)
+       MPI_Comm_free(&(*it));
      comms.clear();
    }
Index: /XIOS/trunk/src/node/context.hpp
===================================================================
--- /XIOS/trunk/src/node/context.hpp	(revision 1638)
+++ /XIOS/trunk/src/node/context.hpp	(revision 1639)
@@ -88,6 +88,6 @@
       public :
          // Initialize server or client
-         void initClient(ep_lib::MPI_Comm intraComm, ep_lib::MPI_Comm interComm, CContext* cxtServer = 0);
-         void initServer(ep_lib::MPI_Comm intraComm, ep_lib::MPI_Comm interComm, CContext* cxtClient = 0);
+         void initClient(MPI_Comm intraComm, MPI_Comm interComm, CContext* cxtServer = 0);
+         void initServer(MPI_Comm intraComm, MPI_Comm interComm, CContext* cxtClient = 0);
          bool isInitialized(void);
 
@@ -263,5 +263,5 @@
          StdString idServer_;
          CGarbageCollector garbageCollector;
-         std::list<ep_lib::MPI_Comm> comms; //!< Communicators allocated internally
+         std::list<MPI_Comm> comms; //!< Communicators allocated internally
 
       public: // Some function maybe removed in the near future
Index: /XIOS/trunk/src/node/domain.cpp
===================================================================
--- /XIOS/trunk/src/node/domain.cpp	(revision 1638)
+++ /XIOS/trunk/src/node/domain.cpp	(revision 1639)
@@ -99,9 +99,9 @@
      \return the number of indexes written by each server
    */
-   int CDomain::getNumberWrittenIndexes(ep_lib::MPI_Comm writtenCom)
+   int CDomain::getNumberWrittenIndexes(MPI_Comm writtenCom)
    TRY
    {
      int writtenSize;
-     ep_lib::MPI_Comm_size(writtenCom, &writtenSize);
+     MPI_Comm_size(writtenCom, &writtenSize);
      return numberWrittenIndexes_[writtenSize];
    }
@@ -112,9 +112,9 @@
      \return the total number of indexes written by the servers
    */
-   int CDomain::getTotalNumberWrittenIndexes(ep_lib::MPI_Comm writtenCom)
+   int CDomain::getTotalNumberWrittenIndexes(MPI_Comm writtenCom)
    TRY
    {
      int writtenSize;
-     ep_lib::MPI_Comm_size(writtenCom, &writtenSize);
+     MPI_Comm_size(writtenCom, &writtenSize);
      return totalNumberWrittenIndexes_[writtenSize];
    }
@@ -125,18 +125,18 @@
      \return the offset of indexes written by each server
    */
-   int CDomain::getOffsetWrittenIndexes(ep_lib::MPI_Comm writtenCom)
+   int CDomain::getOffsetWrittenIndexes(MPI_Comm writtenCom)
    TRY
    {
      int writtenSize;
-     ep_lib::MPI_Comm_size(writtenCom, &writtenSize);
+     MPI_Comm_size(writtenCom, &writtenSize);
      return offsetWrittenIndexes_[writtenSize];
    }
    CATCH_DUMP_ATTR
 
-   CArray<int, 1>& CDomain::getCompressedIndexToWriteOnServer(ep_lib::MPI_Comm writtenCom)
+   CArray<int, 1>& CDomain::getCompressedIndexToWriteOnServer(MPI_Comm writtenCom)
    TRY
    {
      int writtenSize;
-     ep_lib::MPI_Comm_size(writtenCom, &writtenSize);
+     MPI_Comm_size(writtenCom, &writtenSize);
      return compressedIndexToWriteOnServer[writtenSize];
    }
@@ -690,14 +690,14 @@
      int v ;
      v=ibegin ;
-     ep_lib::MPI_Allgather(&v,1,EP_INT,ibegin_g,1,EP_INT,client->intraComm) ;
+     MPI_Allgather(&v,1,MPI_INT,ibegin_g,1,MPI_INT,client->intraComm) ;
      v=jbegin ;
-     ep_lib::MPI_Allgather(&v,1,EP_INT,jbegin_g,1,EP_INT,client->intraComm) ;
+     MPI_Allgather(&v,1,MPI_INT,jbegin_g,1,MPI_INT,client->intraComm) ;
      v=ni ;
-     ep_lib::MPI_Allgather(&v,1,EP_INT,ni_g,1,EP_INT,client->intraComm) ;
+     MPI_Allgather(&v,1,MPI_INT,ni_g,1,MPI_INT,client->intraComm) ;
      v=nj ;
-     ep_lib::MPI_Allgather(&v,1,EP_INT,nj_g,1,EP_INT,client->intraComm) ;
-
-     ep_lib::MPI_Allgatherv(lon.dataFirst(),ni,EP_DOUBLE,lon_g.dataFirst(),ni_g, ibegin_g,EP_DOUBLE,client->intraComm) ;
-     ep_lib::MPI_Allgatherv(lat.dataFirst(),nj,EP_DOUBLE,lat_g.dataFirst(),nj_g, jbegin_g,EP_DOUBLE,client->intraComm) ;
+     MPI_Allgather(&v,1,MPI_INT,nj_g,1,MPI_INT,client->intraComm) ;
+
+     MPI_Allgatherv(lon.dataFirst(),ni,MPI_DOUBLE,lon_g.dataFirst(),ni_g, ibegin_g,MPI_DOUBLE,client->intraComm) ;
+     MPI_Allgatherv(lat.dataFirst(),nj,MPI_DOUBLE,lat_g.dataFirst(),nj_g, jbegin_g,MPI_DOUBLE,client->intraComm) ;
 
       delete[] ibegin_g ;
@@ -1932,5 +1932,5 @@
           displs[0] = 0;
           int localCount = connectedServerRank_[nbServer].size() ;
-          ep_lib::MPI_Gather(&localCount, 1, EP_INT, &counts[0], 1, EP_INT, 0, client->intraComm) ;
+          MPI_Gather(&localCount, 1, MPI_INT, &counts[0], 1, MPI_INT, 0, client->intraComm) ;
           for (int i = 0; i < clientSize-1; ++i)
           {
@@ -1938,5 +1938,5 @@
           }
           std::vector<int> allConnectedServers(displs[clientSize-1]+counts[clientSize-1]);
-          ep_lib::MPI_Gatherv(&(connectedServerRank_[nbServer])[0], localCount, EP_INT, &allConnectedServers[0], &counts[0], &displs[0], EP_INT, 0, client->intraComm);
+          MPI_Gatherv(&(connectedServerRank_[nbServer])[0], localCount, MPI_INT, &allConnectedServers[0], &counts[0], &displs[0], MPI_INT, 0, client->intraComm);
 
           if ((allConnectedServers.size() != nbServer) && (rank == 0))
@@ -2003,9 +2003,9 @@
    CATCH_DUMP_ATTR
 
-  void CDomain::computeWrittenCompressedIndex(ep_lib::MPI_Comm writtenComm)
+  void CDomain::computeWrittenCompressedIndex(MPI_Comm writtenComm)
   TRY
   {
     int writtenCommSize;
-    ep_lib::MPI_Comm_size(writtenComm, &writtenCommSize);
+    MPI_Comm_size(writtenComm, &writtenCommSize);
     if (compressedIndexToWriteOnServer.find(writtenCommSize) != compressedIndexToWriteOnServer.end())
       return;
@@ -2064,6 +2064,6 @@
       {
              
-        ep_lib::MPI_Allreduce(&numberWrittenIndexes_[writtenCommSize], &totalNumberWrittenIndexes_[writtenCommSize], 1, EP_INT, EP_SUM, writtenComm);
-        ep_lib::MPI_Scan(&numberWrittenIndexes_[writtenCommSize], &offsetWrittenIndexes_[writtenCommSize], 1, EP_INT, EP_SUM, writtenComm);
+        MPI_Allreduce(&numberWrittenIndexes_[writtenCommSize], &totalNumberWrittenIndexes_[writtenCommSize], 1, MPI_INT, MPI_SUM, writtenComm);
+        MPI_Scan(&numberWrittenIndexes_[writtenCommSize], &offsetWrittenIndexes_[writtenCommSize], 1, MPI_INT, MPI_SUM, writtenComm);
         offsetWrittenIndexes_[writtenCommSize] -= numberWrittenIndexes_[writtenCommSize];
       }
Index: /XIOS/trunk/src/node/domain.hpp
===================================================================
--- /XIOS/trunk/src/node/domain.hpp	(revision 1638)
+++ /XIOS/trunk/src/node/domain.hpp	(revision 1639)
@@ -94,8 +94,8 @@
          bool isWrittenCompressed(const StdString& filename) const;
          
-         int getNumberWrittenIndexes(ep_lib::MPI_Comm writtenCom);
-         int getTotalNumberWrittenIndexes(ep_lib::MPI_Comm writtenCom);
-         int getOffsetWrittenIndexes(ep_lib::MPI_Comm writtenCom);
-         CArray<int,1>& getCompressedIndexToWriteOnServer(ep_lib::MPI_Comm writtenCom);
+         int getNumberWrittenIndexes(MPI_Comm writtenCom);
+         int getTotalNumberWrittenIndexes(MPI_Comm writtenCom);
+         int getOffsetWrittenIndexes(MPI_Comm writtenCom);
+         CArray<int,1>& getCompressedIndexToWriteOnServer(MPI_Comm writtenCom);
 
          std::map<int, StdSize> getAttributesBufferSize(CContextClient* client, bool bufferForWriting = false);
@@ -116,5 +116,5 @@
          
          void computeWrittenIndex();
-         void computeWrittenCompressedIndex(ep_lib::MPI_Comm);
+         void computeWrittenCompressedIndex(MPI_Comm);
 
          void AllgatherRectilinearLonLat(CArray<double,1>& lon, CArray<double,1>& lat,
Index: /XIOS/trunk/src/node/field.cpp
===================================================================
--- /XIOS/trunk/src/node/field.cpp	(revision 1638)
+++ /XIOS/trunk/src/node/field.cpp	(revision 1639)
@@ -531,9 +531,5 @@
     if (!nstepMaxRead)
     {
-       #ifdef _usingMPI
        MPI_Allreduce(MPI_IN_PLACE, &nstepMax, 1, MPI_INT, MPI_MAX, context->server->intraComm);
-       #elif _usingEP
-       ep_lib::MPI_Allreduce(&nstepMax, &nstepMax, 1, EP_INT, EP_MAX, context->server->intraComm);
-       #endif
        nstepMaxRead = true;
     }
Index: /XIOS/trunk/src/node/file.cpp
===================================================================
--- /XIOS/trunk/src/node/file.cpp	(revision 1638)
+++ /XIOS/trunk/src/node/file.cpp	(revision 1639)
@@ -25,5 +25,5 @@
    CFile::CFile(void)
       : CObjectTemplate<CFile>(), CFileAttributes()
-      , vFieldGroup(), data_out(), enabledFields(), fileComm(EP_COMM_NULL)
+      , vFieldGroup(), data_out(), enabledFields(), fileComm(MPI_COMM_NULL)
       , isOpen(false), read_client(0), checkRead(false), allZoneEmpty(false)
    {
@@ -34,5 +34,5 @@
    CFile::CFile(const StdString & id)
       : CObjectTemplate<CFile>(id), CFileAttributes()
-      , vFieldGroup(), data_out(), enabledFields(), fileComm(EP_COMM_NULL)
+      , vFieldGroup(), data_out(), enabledFields(), fileComm(MPI_COMM_NULL)
       , isOpen(false), read_client(0), checkRead(false), allZoneEmpty(false)
     {
@@ -307,6 +307,6 @@
 
       int color = allZoneEmpty ? 0 : 1;
-      ep_lib::MPI_Comm_split(server->intraComm, color, server->intraCommRank, &fileComm);
-      if (allZoneEmpty) ep_lib::MPI_Comm_free(&fileComm);
+      MPI_Comm_split(server->intraComm, color, server->intraCommRank, &fileComm);
+      if (allZoneEmpty) MPI_Comm_free(&fileComm);
     }
     CATCH_DUMP_ATTR
@@ -554,6 +554,6 @@
          {
             int commSize, commRank;
-            ep_lib::MPI_Comm_size(fileComm, &commSize);
-            ep_lib::MPI_Comm_rank(fileComm, &commRank);
+            MPI_Comm_size(fileComm, &commSize);
+            MPI_Comm_rank(fileComm, &commRank);
 
             if (server->intraCommSize > 1)
@@ -634,5 +634,5 @@
     CContext* context = CContext::getCurrent();
     CContextServer* server = context->server;
-    ep_lib::MPI_Comm readComm = this->fileComm;
+    MPI_Comm readComm = this->fileComm;
 
     if (!allZoneEmpty)
@@ -677,6 +677,6 @@
       {
         int commSize, commRank;
-        ep_lib::MPI_Comm_size(readComm, &commSize);
-        ep_lib::MPI_Comm_rank(readComm, &commRank);
+        MPI_Comm_size(readComm, &commSize);
+        MPI_Comm_rank(readComm, &commRank);
 
         if (server->intraCommSize > 1)
@@ -722,5 +722,5 @@
         isOpen = false;
        }
-      if (fileComm != EP_COMM_NULL) ep_lib::MPI_Comm_free(&fileComm);
+      if (fileComm != MPI_COMM_NULL) MPI_Comm_free(&fileComm);
    }
    CATCH_DUMP_ATTR
Index: /XIOS/trunk/src/node/file.hpp
===================================================================
--- /XIOS/trunk/src/node/file.hpp	(revision 1638)
+++ /XIOS/trunk/src/node/file.hpp	(revision 1639)
@@ -175,5 +175,5 @@
          int nbAxis, nbDomains;
          bool isOpen;         
-         ep_lib::MPI_Comm fileComm;
+         MPI_Comm fileComm;
 
       private:
Index: /XIOS/trunk/src/node/grid.cpp
===================================================================
--- /XIOS/trunk/src/node/grid.cpp	(revision 1638)
+++ /XIOS/trunk/src/node/grid.cpp	(revision 1639)
@@ -661,6 +661,6 @@
         {
           CContextServer* server = CContext::getCurrent()->server;      
-          ep_lib::MPI_Allreduce(&numberWrittenIndexes_, &totalNumberWrittenIndexes_, 1, EP_INT, EP_SUM, server->intraComm);
-          ep_lib::MPI_Scan(&numberWrittenIndexes_, &offsetWrittenIndexes_, 1, EP_INT, EP_SUM, server->intraComm);
+          MPI_Allreduce(&numberWrittenIndexes_, &totalNumberWrittenIndexes_, 1, MPI_INT, MPI_SUM, server->intraComm);
+          MPI_Scan(&numberWrittenIndexes_, &offsetWrittenIndexes_, 1, MPI_INT, MPI_SUM, server->intraComm);
           offsetWrittenIndexes_ -= numberWrittenIndexes_;
         }
@@ -856,5 +856,5 @@
          displs[0] = 0;
          int localCount = connectedServerRank_[receiverSize].size() ;
-         ep_lib::MPI_Gather(&localCount, 1, EP_INT, &counts[0], 1, EP_INT, 0, client->intraComm) ;
+         MPI_Gather(&localCount, 1, MPI_INT, &counts[0], 1, MPI_INT, 0, client->intraComm) ;
          for (int i = 0; i < client->clientSize-1; ++i)
          {
@@ -862,5 +862,5 @@
          }
          std::vector<int> allConnectedServers(displs[client->clientSize-1]+counts[client->clientSize-1]);
-         ep_lib::MPI_Gatherv(&(connectedServerRank_[receiverSize])[0], localCount, EP_INT, &allConnectedServers[0], &counts[0], &displs[0], EP_INT, 0, client->intraComm);
+         MPI_Gatherv(&(connectedServerRank_[receiverSize])[0], localCount, MPI_INT, &allConnectedServers[0], &counts[0], &displs[0], MPI_INT, 0, client->intraComm);
 
          if ((allConnectedServers.size() != receiverSize) && (client->clientRank == 0))
Index: /XIOS/trunk/src/node/mesh.cpp
===================================================================
--- /XIOS/trunk/src/node/mesh.cpp	(revision 1638)
+++ /XIOS/trunk/src/node/mesh.cpp	(revision 1639)
@@ -414,5 +414,5 @@
  * \param [in] bounds_lat Array of boundary latitudes. Its size depends on the element type.
  */
-  void CMesh::createMeshEpsilon(const ep_lib::MPI_Comm& comm,
+  void CMesh::createMeshEpsilon(const MPI_Comm& comm,
                                 const CArray<double, 1>& lonvalue, const CArray<double, 1>& latvalue,
                                 const CArray<double, 2>& bounds_lon, const CArray<double, 2>& bounds_lat)
@@ -421,6 +421,6 @@
     int nvertex = (bounds_lon.numElements() == 0) ? 1 : bounds_lon.rows();
     int mpiRank, mpiSize;
-    ep_lib::MPI_Comm_rank(comm, &mpiRank);
-    ep_lib::MPI_Comm_size(comm, &mpiSize);
+    MPI_Comm_rank(comm, &mpiRank);
+    MPI_Comm_size(comm, &mpiSize);
     double prec = 1e-11;  // used in calculations of edge_lon/lat
 
@@ -460,5 +460,5 @@
       unsigned long nbEdgesOnProc = nbEdges_;
       unsigned long nbEdgesAccum;
-      ep_lib::MPI_Scan(&nbEdgesOnProc, &nbEdgesAccum, 1, EP_UNSIGNED_LONG, EP_SUM, comm);
+      MPI_Scan(&nbEdgesOnProc, &nbEdgesAccum, 1, MPI_UNSIGNED_LONG, MPI_SUM, comm);
       nbEdgesAccum -= nbEdges_;
 
@@ -590,7 +590,7 @@
          unsigned long nodeCount = nodeIdx2Idx.size();
          unsigned long nodeStart, nbNodes;
-         ep_lib::MPI_Scan(&nodeCount, &nodeStart, 1, EP_UNSIGNED_LONG, EP_SUM, comm);
+         MPI_Scan(&nodeCount, &nodeStart, 1, MPI_UNSIGNED_LONG, MPI_SUM, comm);
          int nNodes = nodeStart;
-         ep_lib::MPI_Bcast(&nNodes, 1, EP_UNSIGNED_LONG, mpiSize-1, comm);
+         MPI_Bcast(&nNodes, 1, MPI_UNSIGNED_LONG, mpiSize-1, comm);
          nbNodesGlo = nNodes;
 
@@ -683,5 +683,5 @@
       unsigned long nbFacesOnProc = nbFaces_;
       unsigned long nbFacesAccum;
-      ep_lib::MPI_Scan(&nbFacesOnProc, &nbFacesAccum, 1, EP_UNSIGNED_LONG, EP_SUM, comm);
+      MPI_Scan(&nbFacesOnProc, &nbFacesAccum, 1, MPI_UNSIGNED_LONG, MPI_SUM, comm);
       nbFacesAccum -= nbFaces_;
 
@@ -807,7 +807,7 @@
 
         unsigned long edgeStart, nbEdges;
-        ep_lib::MPI_Scan(&edgeCount, &edgeStart, 1, EP_UNSIGNED_LONG, EP_SUM, comm);
+        MPI_Scan(&edgeCount, &edgeStart, 1, MPI_UNSIGNED_LONG, MPI_SUM, comm);
         int nEdges = edgeStart;
-        ep_lib::MPI_Bcast(&nEdges, 1, EP_UNSIGNED_LONG, mpiSize-1, comm);
+        MPI_Bcast(&nEdges, 1, MPI_UNSIGNED_LONG, mpiSize-1, comm);
         nbEdgesGlo = nEdges;
 
@@ -1028,7 +1028,7 @@
         unsigned long edgeCount = edgeIdx2Idx.size();
         unsigned long edgeStart, nbEdges;
-        ep_lib::MPI_Scan(&edgeCount, &edgeStart, 1, EP_UNSIGNED_LONG, EP_SUM, comm);
+        MPI_Scan(&edgeCount, &edgeStart, 1, MPI_UNSIGNED_LONG, MPI_SUM, comm);
         int nEdges = edgeStart;
-        ep_lib::MPI_Bcast(&nEdges, 1, EP_UNSIGNED_LONG, mpiSize-1, comm);
+        MPI_Bcast(&nEdges, 1, MPI_UNSIGNED_LONG, mpiSize-1, comm);
         nbEdgesGlo = nEdges;
 
@@ -1298,7 +1298,7 @@
         unsigned long nodeCount = nodeIdx2Idx.size();
         unsigned long nodeStart, nbNodes;
-        ep_lib::MPI_Scan(&nodeCount, &nodeStart, 1, EP_UNSIGNED_LONG, EP_SUM, comm);
+        MPI_Scan(&nodeCount, &nodeStart, 1, MPI_UNSIGNED_LONG, MPI_SUM, comm);
         int nNodes = nodeStart;
-        ep_lib::MPI_Bcast(&nNodes, 1, EP_UNSIGNED_LONG, mpiSize-1, comm);
+        MPI_Bcast(&nNodes, 1, MPI_UNSIGNED_LONG, mpiSize-1, comm);
         nbNodesGlo = nNodes;
 
@@ -1418,7 +1418,7 @@
         unsigned long edgeCount = edgeIdx2Idx.size();
         unsigned long edgeStart, nbEdges;
-        ep_lib::MPI_Scan(&edgeCount, &edgeStart, 1, EP_UNSIGNED_LONG, EP_SUM, comm);
+        MPI_Scan(&edgeCount, &edgeStart, 1, MPI_UNSIGNED_LONG, MPI_SUM, comm);
         int nEdges = edgeStart;
-        ep_lib::MPI_Bcast(&nEdges, 1, EP_UNSIGNED_LONG, mpiSize-1, comm);
+        MPI_Bcast(&nEdges, 1, MPI_UNSIGNED_LONG, mpiSize-1, comm);
         nbEdgesGlo = nEdges;
 
@@ -1614,5 +1614,5 @@
    */
 
-  void CMesh::getGloNghbFacesNodeType(const ep_lib::MPI_Comm& comm, const CArray<int, 1>& face_idx,
+  void CMesh::getGloNghbFacesNodeType(const MPI_Comm& comm, const CArray<int, 1>& face_idx,
                                const CArray<double, 2>& bounds_lon, const CArray<double, 2>& bounds_lat,
                                CArray<int, 2>& nghbFaces)
@@ -1623,6 +1623,6 @@
 
     int mpiRank, mpiSize;
-    ep_lib::MPI_Comm_rank(comm, &mpiRank);
-    ep_lib::MPI_Comm_size(comm, &mpiSize);
+    MPI_Comm_rank(comm, &mpiRank);
+    MPI_Comm_size(comm, &mpiSize);
 
     // (1) Generating unique node indexes
@@ -1770,5 +1770,5 @@
    */
 
-  void CMesh::getGloNghbFacesEdgeType(const ep_lib::MPI_Comm& comm, const CArray<int, 1>& face_idx,
+  void CMesh::getGloNghbFacesEdgeType(const MPI_Comm& comm, const CArray<int, 1>& face_idx,
                                const CArray<double, 2>& bounds_lon, const CArray<double, 2>& bounds_lat,
                                CArray<int, 2>& nghbFaces)
@@ -1779,6 +1779,6 @@
 
     int mpiRank, mpiSize;
-    ep_lib::MPI_Comm_rank(comm, &mpiRank);
-    ep_lib::MPI_Comm_size(comm, &mpiSize);
+    MPI_Comm_rank(comm, &mpiRank);
+    MPI_Comm_size(comm, &mpiSize);
 
     // (1) Generating unique node indexes
@@ -1951,5 +1951,5 @@
    */
 
-  void CMesh::getGlobalNghbFaces(const int nghbType, const ep_lib::MPI_Comm& comm,
+  void CMesh::getGlobalNghbFaces(const int nghbType, const MPI_Comm& comm,
                                  const CArray<int, 1>& face_idx,
                                  const CArray<double, 2>& bounds_lon, const CArray<double, 2>& bounds_lat,
